Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.util
Class PackageResourceAdapter

    java.lang.Object
      |
      +--uk.ac.man.bioinf.util.ResourceAdapter
            |
            +--uk.ac.man.bioinf.util.PackageResourceAdapter

public class PackageResourceAdapter
extends ResourceAdapter

Looks specifically for resources in the package 'resource' that should be at the route of the Application's class path. Specifically:

- images should go in `resources.images`
- help documentation should go in `resources.helpfiles`
- locale data (messages, tooltips and paths to other resources such as images) should go in the appropriately named properties file in `resources.locale`.

Version:
  1.0
Author:
  C.Miller

Field Summary

Fields inherited from class uk.ac.man.bioinf.util.ResourceAdapter
`bundle, defaultLocale, props`

Constructor Summary
`PackageResourceAdapter(String propertyFile)`

Method Summary
`URL` | `getHelpURL(String helpURLName)` property is helpURL.
`URL` | `getImageURL(String imageName)` property is image. value should be path to the image

Methods inherited from class uk.ac.man.bioinf.util.ResourceAdapter
`getFile, getMessageString, getTextString, getToolTip, getURL, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageResourceAdapter

    public PackageResourceAdapter(String propertyFile)
                           throws IOException

Method Detail

### getHelpURL

    public URL getHelpURL(String helpURLName)

  Description copied from class: `ResourceAdapter`
  property is helpURL.

  Overrides:
    `getHelpURL` in class `ResourceAdapter`

### getImageURL

    public URL getImageURL(String imageName)

  Description copied from class: `ResourceAdapter`
  property is image. value should be path to the image

  Overrides:
    `getImageURL` in class `ResourceAdapter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD